ClientSelectionConverter (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.convert.selection.ClientSelectionConverter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.selection
Class ClientSelectionConverter

    java.lang.Object
      org.richfaces.convert.selection.ClientSelectionConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

    public class ClientSelectionConverter

extends java.lang.Object
implements javax.faces.convert.Converter

Author:
  Maksim Kaszynski

Field Summary
`static java.lang.String` | `CONVERTER_ID`

Constructor Summary
`ClientSelectionConverter()`

Method Summary
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

Constructor Detail

### ClientSelectionConverter

    public ClientSelectionConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String value)

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.